<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:local="#local"
>

<!--
	w͔͘Z@xڎXSL
	2005/10/11
	by hishida
-->
	
<xsl:template match="/">
	<xsl:apply-templates select="item-map" />
</xsl:template>


<xsl:template match="item-map">
<body>
	<xsl:apply-templates />
</body>
</xsl:template>



<xsl:template match="item">
	<xsl:variable name="level" select="count(ancestor::item)+1"/>
	<xsl:choose>
	<xsl:when test="@id">
		<xsl:choose>
		<xsl:when test="$level &gt; 3">

			<p><a>
			<xsl:attribute name="href"><xsl:value-of select="local:GetURI(string(@id))"/></xsl:attribute>
			<xsl:value-of select="title" />
			</a></p>&#x0d;&#x0a;
			<xsl:apply-templates select="item"/>

		</xsl:when>
		<xsl:otherwise>
			<xsl:element name="h{$level}">
			<xsl:value-of select="title" />
			</xsl:element>&#x0d;&#x0a;
			<p><a>
			<xsl:attribute name="href"><xsl:value-of select="local:GetURI(string(@id))"/></xsl:attribute>
			
			</a></p>&#x0d;&#x0a;
			<xsl:apply-templates select="item"/>

		</xsl:otherwise>
		</xsl:choose>

	</xsl:when>
	<xsl:otherwise>
		<xsl:choose>
		<xsl:when test="$level &gt; 3">
			<xsl:element name="p">
			<xsl:value-of select="title" />
			</xsl:element>
			<blockquote>
			<xsl:apply-templates select="item"/>
			</blockquote>&#x0d;&#x0a;
		</xsl:when>
		<xsl:otherwise>
			<xsl:element name="h{$level}">
			<xsl:value-of select="title" />
			</xsl:element>
			<blockquote>
			<xsl:apply-templates select="item"/>
			</blockquote>&#x0d;&#x0a;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<msxsl:script language="JavaScript" implements-prefix="local">
<![CDATA[

	function GetURI( strPat ) {

		if ( strPat == "P000001" ) {
			strPat	= "mo6_1.html#"+strPat
		}
		else {
			strPat	= "mo6_2.html#"+strPat
		}
		return strPat;	
	}

]]>
</msxsl:script>	



</xsl:stylesheet>
