<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:local="#local"
>


<!--
	Purpose	: BTONICiɕtXSLKpHTMLAEBStudiopɉH(Oȓp)
	Date	: 2005/09/18
	Author	: hishida
-->

<xsl:template match="/">
	<span>
	<xsl:apply-templates />
	</span>
</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="br">
</xsl:template>

<xsl:template match="div">
	<xsl:choose>
		<xsl:when test="contains(@style, 'padding-left:') or contains(@style, 'margin-left:')">
			  <xsl:copy>
			<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:element name="X4081">
				<xsl:value-of select="local:GetMarginVal(string(@style))"/>
			</xsl:element>
			<xsl:apply-templates select="@*|node()"/>
			  </xsl:copy>
		</xsl:when>
		<xsl:when test="@id">
			<xsl:copy>
				<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:apply-templates select="@*"/>
				<xsl:if test="contains(@style, 'padding:')">
					<xsl:call-template name="x4081_header" />
				</xsl:if>
				<xsl:apply-templates select="node()"/>
			</xsl:copy>
		</xsl:when>
		<xsl:otherwise>
			<xsl:copy>
				<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="a">
	<xsl:choose>
		<!-- QƃNjavascriptʏhrefɕϊ	-->
		<xsl:when test="@class='Ref'">
			<a>
			<xsl:attribute name="href">#<xsl:value-of select="local:GetRefId(string(@onclick))"/></xsl:attribute>
			<xsl:apply-templates />
			</a>
<!--	NEaEƘaŕω\ւ̃Wv폜ꍇ	-->
<!--	
			<xsl:choose>
			<xsl:when test="contains(@onclick,'henka')">
				<xsl:apply-templates />
			</xsl:when>
			<xsl:otherwise>
				<a>
				<xsl:attribute name="href">#<xsl:value-of select="local:GetRefId(string(@onclick))"/></xsl:attribute>
				<xsl:apply-templates />
				</a>
			</xsl:otherwise>
			</xsl:choose>
-->
		</xsl:when>
		<!-- N.mp3.wavɕϊ	-->
		<xsl:when test="@href and contains(@href,'.mp3')">
			<a>
			<xsl:attribute name="href"><xsl:value-of select="local:ConvAudioFName(string(@href))"/></xsl:attribute>
			<xsl:apply-templates />
			</a>

		</xsl:when>
		<xsl:otherwise>
			<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="td">
	<!-- EBStudiopwidth="32"}	-->
	<xsl:copy>
	<xsl:attribute name="width">32</xsl:attribute>
	<xsl:apply-templates />
	</xsl:copy>
</xsl:template>

<xsl:template match="img">
	<xsl:if test="@onclick and contains(@onclick,'PDFOpen')=0">
		<a>
		<xsl:attribute name="href">#<xsl:value-of select="local:GetRefId(string(@onclick))"/></xsl:attribute>
		
		</a>
	</xsl:if>
	<xsl:choose>
		<!-- .png.jpgɕϊ	-->
		<xsl:when test="@src and contains(@src,'.png')">
			<xsl:copy>
			<xsl:attribute name="src"><xsl:value-of select="local:ConvImageFName(string(@src))"/></xsl:attribute>
			<xsl:attribute name="class">inline</xsl:attribute>
			<xsl:apply-templates />
			</xsl:copy>

		</xsl:when>
		<xsl:otherwise>
			<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template match="gi">
	<xsl:choose>
		<xsl:when test="@set='sanseido-gi'">
			<xsl:value-of disable-output-escaping="yes" select="local:kanjiCode(string(@name))"/>
		</xsl:when>
		<xsl:when test="@unicode">
			<xsl:value-of select="@unicode"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="@alt"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="x4081_header">
	<xsl:element name="X4081">
		<xsl:text>1F09 0001 1F41 0191 1F61</xsl:text>
	</xsl:element>
</xsl:template>


<msxsl:script language="JavaScript" implements-prefix="local">
<![CDATA[

	// onclick=̕񂩂QƐido
	function GetRefId( strPat ) {
	
		var re = new RegExp( /'([\-a-zA-Z0-9_]*)'/ );
		
		var nIndex = strPat.search(re);
		if( 0 <= nIndex ){
			strPat = RegExp.$1;
		}
		else {
			strPat = "???";
		}
		return strPat;	
	}

	// audiot@C .mp3 -> .wav ɕϊ
	function ConvAudioFName( strPat ) {
		strPat = strPat.replace(/[ \n\t]+/, "");
		if ( strPat.substr(0,1) == '/' ) {
			strPat = "." + strPat;
		}
		strPat = strPat.replace(/.mp3/, ".wav");
		return strPat;
	}

	// imaget@C .png -> .jpg ɕϊ
	function ConvImageFName( strPat ) {
		strPat = strPat.replace(/.png/, ".jpg");
		// X[p[厫т̓\[XDLL摜oĂ̂ŁAt@CQƂɕς
		strPat = strPat.replace(/res:\/\/\\im.dll\//, "/");
		if ( strPat.substr(0,4) == 'img/' ) {
			strPat = "../" + strPat;
		}
		else {
			strPat = "."+strPat;
		}
		return strPat;
	}

	// OȓpR[h
	function kanjiCode( strPat ) {
		return "{"+strPat+"}"
	}

	// style"padding-left:"܂"margin-left:"JIS X4018̎ɕϊ
	function GetMarginVal( strPat ) {
		var re = new RegExp( /'-left:([0-9_]*)em'/ );
		var nIndex = strPat.search(re);
		var num;
		if( 0 <= nIndex ){
			num	= RegExp.$1 + 1;
			if ( num > 9 ) {
				num = 9;
			}
			strPat = "1F09 000" + num.toString();
		}
		else {
			re = new RegExp( /'-left:([0-9_]*)pt'/ );
			nIndex = strPat.search(re);
			if( 0 <= nIndex ){
				num	= RegExp.$1 / 6 + 1;
				if ( num < 1 ) { num = 1;	}
				if ( num > 9 ) { num = 9;	}
				strPat = "1F09 000" + num.toString();
			}
			else {
				strPat = "1F09 0002";
			}

		}
		return strPat;	
	}

]]>
</msxsl:script>	

</xsl:stylesheet>


