<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:local="#local"
>

<!--
	Purpose	: BTONICiɕtXSLKpHTMLAEBStudiopɉH
		  (Lt@wT4Őp)
	Date	: 2005/10/31
	Author	: hishida
-->

<xsl:template match="/">
	<span>
	<xsl:apply-templates />
	</span>
</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="span">
	<xsl:choose>
		<!-- QƃNjavascriptʏhrefɕϊ	-->
		<xsl:when test="@onclick">
			<a>
			<xsl:attribute name="href"><xsl:value-of select="local:GetRefId(string(@onclick))"/></xsl:attribute>
			<xsl:apply-templates />
			</a>
		</xsl:when>
		<xsl:otherwise>
			<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="img">
	<xsl:choose>
		<!-- .png.jpgɕϊ	-->
		<xsl:when test="@src and contains(@src,'.png')">
			<xsl:copy>
			<xsl:attribute name="src"><xsl:value-of select="local:ConvImageFName(string(@src))"/></xsl:attribute>
			<xsl:attribute name="class">inline</xsl:attribute>
			<xsl:apply-templates />
			</xsl:copy>

		</xsl:when>
		<xsl:otherwise>
			<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<msxsl:script language="JavaScript" implements-prefix="local">
<![CDATA[

	// onclick=̕񂩂QƐido
	// onclick="showData('K21639')"
	// onclick="imgPop('001-100-014.bmp')
	// onclick="show('K04063')"
	function GetRefId( strPat ) {

		var prefix="";
		var re0 = /show/i;
		if ( strPat.search(re0)>=0 ) {
			prefix = "dic.html#";
		}
		else {
			prefix = "img/";
		}
		var re = new RegExp( /'([\.\-a-zA-Z0-9_]*)'/ );
		
		var nIndex = strPat.search(re);
		if( 0 <= nIndex ){
			strPat = RegExp.$1;
		}
		else {
			strPat = "???";
		}
		return prefix+strPat;	
	}

	// imaget@C .png -> .jpg ɕϊ
	function ConvImageFName( strPat ) {
		strPat = strPat.replace(/.png/, ".jpg");
		return strPat;
	}


]]>
</msxsl:script>	

</xsl:stylesheet>


