<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:local="#local"
>

<!--
	Purpose	: BTONICiDicXkeyvf𒊏o
		  (Lt@wT4Őp)
	Date	: 2005/10/31
	Author	: hishida
-->


<xsl:template match="/">
	<keys>
	<xsl:apply-templates/>
	</keys>
</xsl:template>

<xsl:variable name="title_name" select="nul"/>

<xsl:template match="div">
	<xsl:if test="@id">
		<xsl:variable name="title_name" select="//key[@class='koumoku-title']"/>
		<dt>
		<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
		<xsl:attribute name="title"><xsl:value-of select="$title_name"/></xsl:attribute>
		<xsl:value-of select="$title_name"/>
		</dt>
		<xsl:apply-templates select="//key"/>

	</xsl:if>
</xsl:template>


<xsl:template match="//key">
	<xsl:choose>
		<xsl:when test="@class='koumoku-title'">

		</xsl:when>
		<xsl:when test="@class='keyword'">
			<xsl:copy>
			<xsl:attribute name="type">\L</xsl:attribute>
			<xsl:apply-templates select="node()"/>
			</xsl:copy>
		</xsl:when>
		<xsl:when test="@class='reading'">
			<xsl:copy>
			<xsl:attribute name="type"></xsl:attribute>
			<xsl:apply-templates select="node()"/>
			</xsl:copy>
		</xsl:when>

		<xsl:when test="@class='field' or @class='author' or @class='quantity'">
			<xsl:copy>
			<xsl:attribute name="type"></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="@class"/></xsl:attribute>
			<xsl:apply-templates select="node()"/>
			</xsl:copy>
		</xsl:when>

	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
